Bug 596437 - (CVE-2010-1404) CVE-2010-1404 WebKit: use-after-free vulnerability in handling of SVG documents with multiple 'use' elements (ZDI-CAN-711)
CVE-2010-1404 WebKit: use-after-free vulnerability in handling of SVG documen...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20100607,repor...
: Security
Depends On:
Blocks: 806808
  Show dependency treegraph
 
Reported: 2010-05-26 14:33 EDT by Vincent Danen
Modified: 2016-03-04 07:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 04:16:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-05-26 14:33:37 EDT
A use after free issue exists in WebKit's handling of SVG documents with multiple 'use' elements. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of 'use' elements in SVG documents.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=35709
Trac: http://trac.webkit.org/changeset/53446

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges wushi of team509, working with TippingPoint's Zero Day Initiative, as the original reporter.
Comment 8 Jan Lieskovsky 2010-06-08 12:39:23 EDT
Public via:
  [1] http://support.apple.com/kb/HT4196

Note You need to log in before you can comment on or make changes to this bug.